Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  package shell
  Definition Classes
    interpreter
- Accumulator
- Completion
- CompletionResult
- History
- ILoop
- InteractiveReader
- Javap
- Javap8
- Javap9
- JavapClass
- JavapProvider
- JavapTask
- JavapTool
- Logger
- LoopCommands
- MultiCompletion
- NoCompletion
- NoCompletions
- NoHistory
- Parsed
- Pasted
- ProcessResult
- ReplCompletion
- ReplReporterImpl
- Scripted
- ShellConfig
- SimpleHistory
- SimpleReader
- Tabulator
- VariColumnTabulator
- WriterOutputStream

c

scala.tools.nsc.interpreter.shell

# JavapTask

###
Companion object JavapTask

#### class JavapTask extends JavapTool

Source
  JavapClass.scala

Linear Supertypes
JavapTool, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JavapTask
2. JavapTool
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new JavapTask(loader: ScalaClassLoader, intp: Repl)

### Type Members

1.  class JavaReporter extends DiagnosticListener[JavaFileObject] with Clearable
2.  class JavapFileManager extends ForwardingJavaFileManager[JavaFileManager]
3.  type Task = AnyRef { def call(): Boolean }

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from JavapTask toany2stringadd[JavapTask] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (JavapTask, B)
   Implicit
     This member is added by an implicit conversion from JavapTask toArrowAssoc[JavapTask] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def apply(options: Seq[String], filter: Boolean)(inputs: Seq[Input]): List[JpResult]

   Run the tool.

   Run the tool.

   Definition Classes
     JavapTask → JavapTool
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  val defaultFileManager: JavaFileManager
10.  def ensuring(cond: (JavapTask) => Boolean, msg: => Any): JavapTask
    Implicit
      This member is added by an implicit conversion from JavapTask toEnsuring[JavapTask] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (JavapTask) => Boolean): JavapTask
    Implicit
      This member is added by an implicit conversion from JavapTask toEnsuring[JavapTask] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: => Any): JavapTask
    Implicit
      This member is added by an implicit conversion from JavapTask toEnsuring[JavapTask] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): JavapTask
    Implicit
      This member is added by an implicit conversion from JavapTask toEnsuring[JavapTask] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def fileManager(inputs: Seq[Input]): JavapFileManager
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from JavapTask toStringFormat[JavapTask] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  val loader: ScalaClassLoader
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  val reporter: JavaReporter
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def task(options: Seq[String], classes: Seq[String], inputs: Seq[Input]): Task
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
33.  val writer: CharArrayWriter
34.  def written: String

### Deprecated Value Members

1.  def →[B](y: B): (JavapTask, B)
   Implicit
     This member is added by an implicit conversion from JavapTask toArrowAssoc[JavapTask] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from JavapTool

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromJavapTask to any2stringadd[JavapTask]

### Inherited by implicit conversion StringFormat fromJavapTask to StringFormat[JavapTask]

### Inherited by implicit conversion Ensuring fromJavapTask to Ensuring[JavapTask]

### Inherited by implicit conversion ArrowAssoc fromJavapTask to ArrowAssoc[JavapTask]

### Ungrouped